Subject: bug#36193: 26.2; 'set-window-scroll-bars' setting doesn't take effect in emacsclient session

From: Andrea Greselin <[email-masked]>
Date: Thu, 18 Jul 2019 10:12:35 +0200

> Have you ever tried that workaround?
Sorry, I missed it. It works!

> If you build Emacs yourself, please try it.
I wouldn't know how to test it, I'm sorry. I don't build my Emacs.

Thank you,
Andrea

On Wed, 17 Jul 2019 at 10:38, martin rudalics <[email-masked]> wrote:

>  > As a temporary workaround you can try to set the buffer local values
>  > of 'scroll-bar-width' to zero in all buffers that might eventually
>  > show up in the minibuffer window, for example, thusly
>  >
>  > (progn
>  >    (set-window-scroll-bars (minibuffer-window) 0 nil)
>  >    (with-current-buffer (get-buffer-create " *Echo Area 0*")
>  >      (setq scroll-bar-width 0))
>  >    (with-current-buffer (get-buffer-create " *Echo Area 1*")
>  >      (setq scroll-bar-width 0))
>  >    (with-current-buffer (get-buffer-create " *Minibuf-0*")
>  >      (setq scroll-bar-width 0))
>  >    (with-current-buffer (get-buffer-create " *Minibuf-1*")
>  >      (setq scroll-bar-width 0)))
>  >
>  > This should work as long as you don't enable recursive minibuffers.
>
> Have you ever tried that workaround?
>
> I now attach a patch that should address this problem with the help of
> an additional argument PERSISTENT for 'set-window-scroll-bars' and
> 'set-window-fringes'.  If set, the requested settings should survive
> subsequent invocations of 'set-window-buffer' for the window (in
> particular the minibuffer window) in question.  If you build Emacs
> yourself, please try it.
>
> Thanks, martin
>